Skip to main content
`Ctrl`+`K`

# CoordinateMatchResult

class astropy.coordinates.CoordinateMatchResult(indices_to_catalog, angular_separation, physical_separation)

  Bases: `NamedTuple`

  Results of matching a set of sources to a catalog.

  See also

  `astropy.coordinates.match_coordinates_3d`
  `astropy.coordinates.match_coordinates_sky`
  `SkyCoord.match_to_catalog_3d`
  `SkyCoord.match_to_catalog_sky`

  Create new instance of CoordinateMatchResult(indices_to_catalog, angular_separation, physical_separation)

  Attributes Summary

  `angular_separation` | The angular separation between each source and its match in the catalog.
  `indices_to_catalog` | For each source the index of the match in the catalog.
  `physical_separation` | The physical separation between each source and its match in the catalog.

  Attributes Documentation

  angular_separation

    The angular separation between each source and its match in the catalog.

  indices_to_catalog

    For each source the index of the match in the catalog.

  physical_separation

    The physical separation between each source and its match in the catalog. If the sources or the catalog lack distances then the physical separations are computed assuming all coordinates are points on the unit sphere.